Firewall Policy Rule Collection Groups - List

Lists all FirewallPolicyRuleCollectionGroups in a FirewallPolicy resource.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/firewallPolicies/{firewallPolicyName}/ruleCollectionGroups?api-version=2025-09-01

URI Parameters

Name In Required Type Description
firewallPolicyName
path True

string

The name of the Firewall Policy.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

FirewallPolicyRuleCollectionGroupListResult

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List all FirewallPolicyRuleCollectionGroup With Web Categories
List all FirewallPolicyRuleCollectionGroups for a given FirewallPolicy
List all FirewallPolicyRuleCollectionGroups with IpGroups for a given FirewallPolicy

List all FirewallPolicyRuleCollectionGroup With Web Categories

Sample request

GET https://management.azure.com/subscriptions/e747cc13-97d4-4a79-b463-42d7f4e558f2/resourceGroups/rg1/providers/Microsoft.Network/firewallPolicies/firewallPolicy/ruleCollectionGroups?api-version=2025-09-01

Sample response

{
  "value": [
    {
      "name": "ruleCollectionGroup1",
      "etag": "W/\"72090554-7e3b-43f2-80ad-99a9020dcb11\"",
      "id": "/subscriptions/e747cc13-97d4-4a79-b463-42d7f4e558f2/resourceGroups/rg1/providers/Microsoft.Network/firewallPolicies/firewallPolicy/ruleCollectionGroups/ruleCollectionGroup1",
      "properties": {
        "priority": 110,
        "provisioningState": "Succeeded",
        "ruleCollections": [
          {
            "name": "Example-Filter-Rule-Collection",
            "action": {
              "type": "Deny"
            },
            "priority": 120,
            "ruleCollectionType": "FirewallPolicyFilterRuleCollection",
            "rules": [
              {
                "name": "rule1",
                "description": "Deny inbound rule",
                "protocols": [
                  {
                    "port": 443,
                    "protocolType": "Https"
                  }
                ],
                "ruleType": "ApplicationRule",
                "sourceAddresses": [
                  "216.58.216.164",
                  "10.0.0.0/24"
                ],
                "webCategories": [
                  "Hacking"
                ]
              }
            ]
          }
        ]
      }
    }
  ]
}

List all FirewallPolicyRuleCollectionGroups for a given FirewallPolicy

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/firewallPolicies/firewallPolicy/ruleCollectionGroups?api-version=2025-09-01

Sample response

{
  "value": [
    {
      "name": "ruleCollectionGroup1",
      "etag": "W/\"72090554-7e3b-43f2-80ad-99a9020dcb11\"",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/firewallPolicies/firewallPolicy/ruleCollectionGroups/ruleCollectionGroup1",
      "properties": {
        "priority": 110,
        "provisioningState": "Succeeded",
        "ruleCollections": [
          {
            "name": "Example-Filter-Rule-Collection",
            "action": {
              "type": "Deny"
            },
            "priority": 120,
            "ruleCollectionType": "FirewallPolicyFilterRuleCollection",
            "rules": [
              {
                "name": "network-rule-1",
                "description": "Network rule",
                "destinationAddresses": [
                  "*"
                ],
                "destinationPorts": [
                  "*"
                ],
                "ipProtocols": [
                  "TCP"
                ],
                "ruleType": "NetworkRule",
                "sourceAddresses": [
                  "10.1.25.0/24"
                ]
              }
            ]
          }
        ]
      }
    }
  ]
}

List all FirewallPolicyRuleCollectionGroups with IpGroups for a given FirewallPolicy

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/firewallPolicies/firewallPolicy/ruleCollectionGroups?api-version=2025-09-01

Sample response

{
  "value": [
    {
      "name": "ruleCollectionGroup1",
      "etag": "W/\"72090554-7e3b-43f2-80ad-99a9020dcb11\"",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/firewallPolicies/firewallPolicy/ruleCollectionGroups/ruleCollectionGroup1",
      "properties": {
        "priority": 110,
        "provisioningState": "Succeeded",
        "ruleCollections": [
          {
            "name": "Example-Filter-Rule-Collection",
            "action": {
              "type": "Deny"
            },
            "priority": 120,
            "ruleCollectionType": "FirewallPolicyFilterRuleCollection",
            "rules": [
              {
                "name": "network-rule-1",
                "description": "Network rule",
                "destinationIpGroups": [
                  "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Network/resourceGroups/rg1/ipGroups/ipGroups2"
                ],
                "destinationPorts": [
                  "*"
                ],
                "ipProtocols": [
                  "TCP"
                ],
                "ruleType": "NetworkRule",
                "sourceIpGroups": [
                  "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Network/resourceGroups/rg1/ipGroups/ipGroups1"
                ]
              }
            ]
          }
        ]
      }
    }
  ]
}

Definitions

Name Description
ApplicationRule

Rule of type application.

CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

FirewallPolicyFilterRuleCollection

Firewall Policy Filter Rule Collection.

FirewallPolicyFilterRuleCollectionAction

Properties of the FirewallPolicyFilterRuleCollectionAction.

FirewallPolicyFilterRuleCollectionActionType

The action type of a rule.

FirewallPolicyHttpHeaderToInsert

name and value of HTTP/S header to insert

FirewallPolicyNatRuleCollection

Firewall Policy NAT Rule Collection.

FirewallPolicyNatRuleCollectionAction

Properties of the FirewallPolicyNatRuleCollectionAction.

FirewallPolicyNatRuleCollectionActionType

The action type of a rule.

FirewallPolicyRuleApplicationProtocol

Properties of the application rule protocol.

FirewallPolicyRuleApplicationProtocolType

The application protocol type of a Rule.

FirewallPolicyRuleCollectionGroup

Rule Collection Group resource.

FirewallPolicyRuleCollectionGroupListResult

The response of a FirewallPolicyRuleCollectionGroup list operation.

FirewallPolicyRuleCollectionType

The type of the rule collection.

FirewallPolicyRuleNetworkProtocol

The Network protocol of a Rule.

FirewallPolicyRuleType

Rule Type.

NatRule

Rule of type nat.

NetworkRule

Rule of type network.

ProvisioningState

Provisioning states of a resource.

ApplicationRule

Rule of type application.

Name Type Description
description

string

Description of the rule.

destinationAddresses

string[]

List of destination IP addresses or Service Tags.

fqdnTags

string[]

List of FQDN Tags for this rule.

httpHeadersToInsert

FirewallPolicyHttpHeaderToInsert[]

List of HTTP/S headers to insert.

name

string

Name of the rule.

protocols

FirewallPolicyRuleApplicationProtocol[]

Array of Application Protocols.

ruleType string:

ApplicationRule

Rule Type.

sourceAddresses

string[]

List of source IP addresses for this rule.

sourceIpGroups

string[]

List of source IpGroups for this rule.

sourceKubeSelectorGroups

string[]

List of source Kubernetes Selector Groups for this rule.

targetFqdns

string[]

List of FQDNs for this rule.

targetUrls

string[]

List of Urls for this rule condition.

terminateTLS

boolean

Terminate TLS connections for this rule.

webCategories

string[]

List of destination azure web categories.

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

FirewallPolicyFilterRuleCollection

Firewall Policy Filter Rule Collection.

Name Type Description
action

FirewallPolicyFilterRuleCollectionAction

The action type of a Filter rule collection.

name

string

The name of the rule collection.

priority

integer (int32)

minimum: 100
maximum: 65000

Priority of the Firewall Policy Rule Collection resource.

ruleCollectionType string:

FirewallPolicyFilterRuleCollection

The type of the rule collection.

rules FirewallPolicyRule[]:

List of rules included in a rule collection.

FirewallPolicyFilterRuleCollectionAction

Properties of the FirewallPolicyFilterRuleCollectionAction.

Name Type Description
type

FirewallPolicyFilterRuleCollectionActionType

The type of action.

FirewallPolicyFilterRuleCollectionActionType

The action type of a rule.

Value Description
Allow

Allow

Deny

Deny

FirewallPolicyHttpHeaderToInsert

name and value of HTTP/S header to insert

Name Type Description
headerName

string

Contains the name of the header

headerValue

string

Contains the value of the header

FirewallPolicyNatRuleCollection

Firewall Policy NAT Rule Collection.

Name Type Description
action

FirewallPolicyNatRuleCollectionAction

The action type of a Nat rule collection.

name

string

The name of the rule collection.

priority

integer (int32)

minimum: 100
maximum: 65000

Priority of the Firewall Policy Rule Collection resource.

ruleCollectionType string:

FirewallPolicyNatRuleCollection

The type of the rule collection.

rules FirewallPolicyRule[]:

List of rules included in a rule collection.

FirewallPolicyNatRuleCollectionAction

Properties of the FirewallPolicyNatRuleCollectionAction.

Name Type Description
type

FirewallPolicyNatRuleCollectionActionType

The type of action.

FirewallPolicyNatRuleCollectionActionType

The action type of a rule.

Value Description
DNAT

DNAT

FirewallPolicyRuleApplicationProtocol

Properties of the application rule protocol.

Name Type Description
port

integer (int32)

minimum: 0
maximum: 64000

Port number for the protocol, cannot be greater than 64000.

protocolType

FirewallPolicyRuleApplicationProtocolType

Protocol type.

FirewallPolicyRuleApplicationProtocolType

The application protocol type of a Rule.

Value Description
Http

Http

Https

Https

FirewallPolicyRuleCollectionGroup

Rule Collection Group resource.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

name

string

Name of the resource.

properties.priority

integer (int32)

minimum: 100
maximum: 65000

Priority of the Firewall Policy Rule Collection Group resource.

properties.provisioningState

ProvisioningState

The provisioning state of the firewall policy rule collection group resource.

properties.ruleCollections FirewallPolicyRuleCollection[]:

Group of Firewall Policy rule collections.

properties.size

string

A read-only string that represents the size of the FirewallPolicyRuleCollectionGroupProperties in MB. (ex 1.2MB)

type

string

Resource type.

FirewallPolicyRuleCollectionGroupListResult

The response of a FirewallPolicyRuleCollectionGroup list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

FirewallPolicyRuleCollectionGroup[]

The FirewallPolicyRuleCollectionGroup items on this page

FirewallPolicyRuleCollectionType

The type of the rule collection.

Value Description
FirewallPolicyNatRuleCollection

FirewallPolicyNatRuleCollection

FirewallPolicyFilterRuleCollection

FirewallPolicyFilterRuleCollection

FirewallPolicyRuleNetworkProtocol

The Network protocol of a Rule.

Value Description
TCP

TCP

UDP

UDP

Any

Any

ICMP

ICMP

FirewallPolicyRuleType

Rule Type.

Value Description
ApplicationRule

ApplicationRule

NetworkRule

NetworkRule

NatRule

NatRule

NatRule

Rule of type nat.

Name Type Description
description

string

Description of the rule.

destinationAddresses

string[]

List of destination IP addresses or Service Tags.

destinationPorts

string[]

List of destination ports.

ipProtocols

FirewallPolicyRuleNetworkProtocol[]

Array of FirewallPolicyRuleNetworkProtocols.

name

string

Name of the rule.

ruleType string:

NatRule

Rule Type.

sourceAddresses

string[]

List of source IP addresses for this rule.

sourceIpGroups

string[]

List of source IpGroups for this rule.

translatedAddress

string

The translated address for this NAT rule.

translatedFqdn

string

The translated FQDN for this NAT rule.

translatedPort

string

The translated port for this NAT rule.

NetworkRule

Rule of type network.

Name Type Description
description

string

Description of the rule.

destinationAddresses

string[]

List of destination IP addresses or Service Tags.

destinationFqdns

string[]

List of destination FQDNs.

destinationIpGroups

string[]

List of destination IpGroups for this rule.

destinationPorts

string[]

List of destination ports.

ipProtocols

FirewallPolicyRuleNetworkProtocol[]

Array of FirewallPolicyRuleNetworkProtocols.

name

string

Name of the rule.

ruleType string:

NetworkRule

Rule Type.

sourceAddresses

string[]

List of source IP addresses for this rule.

sourceIpGroups

string[]

List of source IpGroups for this rule.

sourceKubeSelectorGroups

string[]

List of source Kubernetes Selector Groups for this rule.

ProvisioningState

Provisioning states of a resource.

Value Description
Failed

Failed

Succeeded

Succeeded

Canceled

Canceled

Creating

Creating

Updating

Updating

Deleting

Deleting